"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.windows = {
    // GWL
    GWL_EXSTYLE: -20,
    GWL_HINSTANCE: -6,
    GWL_ID: -12,
    GWL_STYLE: -16,
    GWL_USERDATA: -21,
    GWL_WNDPROC: -4,
    // GWLP
    GWLP_HINSTANCE: -6,
    GWLP_HWNDPARENT: -8,
    GWLP_ID: -12,
    GWLP_USERDATA: -21,
    GWLP_WNDPROC: -4,
    // HWND
    HWND_NOTOPMOST: -2,
    HWND_TOPMOST: -1,
    HWND_TOP: 0,
    HWND_BOTTOM: 1,
    // SWP
    SWP_NOSIZE: 0x0001,
    SWP_NOMOVE: 0x0002,
    SWP_NOZORDER: 0x0004,
    SWP_NOREDRAW: 0x0008,
    SWP_NOACTIVATE: 0x0010,
    SWP_DRAWFRAME: 0x0020,
    SWP_FRAMECHANGED: 0x0020,
    SWP_SHOWWINDOW: 0x0040,
    SWP_HIDEWINDOW: 0x0080,
    SWP_NOCOPYBITS: 0x0100,
    SWP_NOOWNERZORDER: 0x0200,
    SWP_NOREPOSITION: 0x0200,
    SWP_NOSENDCHANGING: 0x0400,
    SWP_DEFERERASE: 0x2000,
    SWP_ASYNCWINDOWPOS: 0x4000,
    // SW
    SW_HIDE: 0,
    SW_SHOWNORMAL: 1,
    SW_SHOWMINIMIZED: 2,
    SW_MAXIMIZE: 3,
    SW_SHOWMAXIMIZED: 3,
    SW_SHOWNOACTIVATE: 4,
    SW_SHOW: 5,
    SW_MINIMIZE: 6,
    SW_SHOWMINNOACTIVE: 7,
    SW_SHOWNA: 8,
    SW_RESTORE: 9,
    SW_SHOWDEFAULT: 10,
    SW_FORCEMINIMIZE: 11,
    // WS
    WS_BORDER: 0x00800000,
    WS_CAPTION: 0x00c00000,
    WS_CHILD: 0x40000000,
    WS_CHILDWINDOW: 0x40000000,
    WS_CLIPCHILDREN: 0x02000000,
    WS_CLIPSIBLINGS: 0x04000000,
    WS_DISABLED: 0x08000000,
    WS_DLGFRAME: 0x00400000,
    WS_GROUP: 0x00020000,
    WS_HSSCROLL: 0x00100000,
    WS_ICONIC: 0x20000000,
    WS_MAXIMIZE: 0x01000000,
    WS_MAXIMIZEBOX: 0x00010000,
    WS_MINIMIZE: 0x20000000,
    WS_MINIMIZEBOX: 0x00020000,
    WS_OVERLAPPED: 0,
    WS_OVERLAPPEDWINDOW: 0,
    WS_POPUP: 0x80000000,
    WS_POPUPWINDOW: 0,
    WS_SIZEBOX: 0x00040000,
    WS_SYSMENU: 0x00080000,
    WS_TABSTOP: 0x00010000,
    WS_THICKFRAME: 0x00040000,
    WS_TILED: 0,
    WS_TILEDWINDOW: 0,
    WS_VISIBLE: 0x10000000,
    // WS_EX
    WS_EX_ACCEPTFILES: 0x00000010,
    WS_EX_APPWINDOW: 0x00040000,
    WS_EX_CLIENTEDGE: 0x00000200,
    WS_EX_COMPOSITED: 0x02000000,
    WS_EX_CONTEXTHELP: 0x00000400,
    WS_EX_CONTROLPARENT: 0x00010000,
    WS_EX_DLGMODALFRAME: 0x00000001,
    WS_EX_LAYERED: 0x00080000,
    WS_EX_LAYOUTRTL: 0x00400000,
    WS_EX_LEFT: 0x00000000,
    WS_EX_LEFTSCROLLBAR: 0x00004000,
    WS_EX_LTRREADING: 0x00000000,
    WS_EX_MDICHILD: 0x00000040,
    WS_EX_NOACTIVATE: 0x08000000,
    WS_EX_NOINHERITLAYOUT: 0x00100000,
    WS_EX_NOPARENTNOTIFY: 0x00000004,
    WS_EX_NOREDIRECTIONBITMAP: 0x00200000,
    WS_EX_OVERLAPPEDWINDOW: 0,
    WS_EX_PALETTEWINDOW: 0,
    WS_EX_RIGHT: 0x00001000,
    WS_EX_RIGHTSCROLLBAR: 0x00000000,
    WS_EX_RTLREADING: 0x00002000,
    WS_EX_STATICEDGE: 0x00020000,
    WS_EX_TOOLWINDOW: 0x00000080,
    WS_EX_TOPMOST: 0x00000008,
    WS_EX_TRANSPARENT: 0x00000020,
    WS_EX_WINDOWEDGE: 0x00000100,
    // LWA
    LWA_ALPHA: 0x00000002,
    LWA_COLORKEY: 0x00000001
};
exports.windows.WS_OVERLAPPEDWINDOW =
    exports.windows.WS_OVERLAPPED |
        exports.windows.WS_CAPTION |
        exports.windows.WS_SYSMENU |
        exports.windows.WS_THICKFRAME |
        exports.windows.WS_MINIMIZEBOX |
        exports.windows.WS_MAXIMIZEBOX;
exports.windows.WS_POPUPWINDOW =
    exports.windows.WS_POPUP | exports.windows.WS_BORDER | exports.windows.WS_SYSMENU;
exports.windows.WS_TILEDWINDOW = exports.windows.WS_OVERLAPPEDWINDOW;
exports.windows.WS_EX_OVERLAPPEDWINDOW =
    exports.windows.WS_EX_WINDOWEDGE | exports.windows.WS_EX_CLIENTEDGE;
exports.windows.WS_EX_PALETTEWINDOW =
    exports.windows.WS_EX_WINDOWEDGE | exports.windows.WS_EX_TOOLWINDOW | exports.windows.WS_EX_TOPMOST;
//# sourceMappingURL=index.js.map